Package org.apache.solr.client.solrj.response

# Class QueryResponse

java.lang.Object
org.apache.solr.client.solrj.SolrResponse
org.apache.solr.client.solrj.response.SolrResponseBase
org.apache.solr.client.solrj.response.QueryResponse

All Implemented Interfaces:
  `Serializable`, `MapSerializable`, `MapWriter`, `NavigableObject`, `org.noggit.JSONWriter.Writable`

public class QueryResponse extends SolrResponseBase

Since:
  solr 1.3
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

## Field Summary

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`QueryResponse()`
`QueryResponse(NamedList<Object> res)`

## Method Summary

Modifier and Type
Method
Description
`<T> List<T>`
`getBeans(Class<T> type)`
`String`
`getCancellationInfo()`
`ClusteringResponse`
`getClusteringResponse()`
`Map<String,Object>`
`getDebugMap()`
`Map<String,SolrDocumentList>`
`getExpandedResults()`
`Map<String,Object>`
`getExplainMap()`
`FacetField`
`getFacetDate(String name)`
`List<FacetField>`
`getFacetDates()`
`FacetField`
`getFacetField(String name)`
get
`List<FacetField>`
`getFacetFields()`
See also: `getLimitingFacets()`
`NamedList<List<PivotField>>`
`getFacetPivot()`
`Map<String,Integer>`
`getFacetQuery()`
`List<RangeFacet>`
`getFacetRanges()`
`Map<String,FieldStatsInfo>`
`getFieldStatsInfo()`
`GroupResponse`
`getGroupResponse()`
Returns the `GroupResponse` containing the group commands.
`NamedList<Object>`
`getHeader()`
`Map<String,Map<String,List<String>>>`
`getHighlighting()`
`List<IntervalFacet>`
`getIntervalFacets()`
`NestableJsonFacet`
`getJsonFacetingResponse()`
`List<FacetField>`
`getLimitingFacets()`
`NamedList<SolrDocumentList>`
`getMoreLikeThis()`
`String`
`getNextCursorMark()`
`SolrDocumentList`
`getResults()`
`NamedList<ArrayList>`
`getSortValues()`
`SpellCheckResponse`
`getSpellCheckResponse()`
`SuggesterResponse`
`getSuggesterResponse()`
`NamedList<String>`
`getTasksInfo()`
`String`
`getTaskStatusCheckInfo()`
`TermsResponse`
`getTermsResponse()`
`protected List<PivotField>`
`readPivots(List<NamedList> list)`
`void`
`removeFacets()`
Remove the field facet info
`void`
`setResponse(NamedList<Object> res)`

### Methods inherited from class org.apache.solr.client.solrj.response.SolrResponseBase

`getElapsedTime, getQTime, getRequestUrl, getResponse, getResponseHeader, getStatus, setElapsedTime, setRequestUrl, toString, writeMap`

### Methods inherited from class org.apache.solr.client.solrj.SolrResponse

`getException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap, write`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

## Constructor Details

### QueryResponse

public QueryResponse()

### QueryResponse

public QueryResponse(NamedList<Object> res)

## Method Details

### setResponse

public void setResponse(NamedList<Object> res)

Overrides:
  `setResponse` in class `SolrResponseBase`

### readPivots

protected List<PivotField> readPivots(List<NamedList> list)

### removeFacets

public void removeFacets()
Remove the field facet info

### getHeader

public NamedList<Object> getHeader()

### getResults

public SolrDocumentList getResults()

### getSortValues

public NamedList<ArrayList> getSortValues()

### getDebugMap

public Map<String,Object> getDebugMap()

### getExplainMap

public Map<String,Object> getExplainMap()

### getFacetQuery

public Map<String,Integer> getFacetQuery()

### getExpandedResults

public Map<String,SolrDocumentList> getExpandedResults()

Returns:
  map with each group value as key and the expanded documents that belong to the group as value. There is no guarantee on the order of the keys obtained via an iterator.

### getGroupResponse

public GroupResponse getGroupResponse()
Returns the `GroupResponse` containing the group commands. A group command can be the result of one of the following parameters:

- group.field
- group.func
- group.query

Returns:
  the `GroupResponse` containing the group commands

### getHighlighting

public Map<String,Map<String,List<String>>> getHighlighting()

### getSpellCheckResponse

public SpellCheckResponse getSpellCheckResponse()

### getClusteringResponse

public ClusteringResponse getClusteringResponse()

### getJsonFacetingResponse

public NestableJsonFacet getJsonFacetingResponse()

### getSuggesterResponse

public SuggesterResponse getSuggesterResponse()

### getTermsResponse

public TermsResponse getTermsResponse()

### getMoreLikeThis

public NamedList<SolrDocumentList> getMoreLikeThis()

### getTasksInfo

public NamedList<String> getTasksInfo()

### getCancellationInfo

public String getCancellationInfo()

### getTaskStatusCheckInfo

public String getTaskStatusCheckInfo()

### getFacetFields

public List<FacetField> getFacetFields()
See also: `getLimitingFacets()`

### getFacetDates

public List<FacetField> getFacetDates()

### getFacetRanges

public List<RangeFacet> getFacetRanges()

### getFacetPivot

public NamedList<List<PivotField>> getFacetPivot()

### getIntervalFacets

public List<IntervalFacet> getIntervalFacets()

### getFacetField

public FacetField getFacetField(String name)
get

Parameters:
  `name` - the name of the
Returns:
  the FacetField by name or null if it does not exist

### getFacetDate

public FacetField getFacetDate(String name)

### getLimitingFacets

public List<FacetField> getLimitingFacets()

Returns:
  a list of FacetFields where the count is less than the #getResults() `SolrDocumentList.getNumFound()`

  If you want all results exactly as returned by solr, use: `getFacetFields()`

### getBeans

public <T> List<T> getBeans(Class<T> type)

### getFieldStatsInfo

public Map<String,FieldStatsInfo> getFieldStatsInfo()

### getNextCursorMark

public String getNextCursorMark()